## pcre2 10.21

=== CMakeLists.txt ===
# CMakeLists.txt
#
#
# This file enables PCRE2 to be built with the CMake configuration and build
# tool. Download CMake in source or binary form from http://www.cmake.org/
# Converted to support PCRE2 from the original PCRE file, August 2014.
#
# Original listfile by Christian Ehrlicher <Ch.Ehrlicher@gmx.de>
# Refined and expanded by Daniel Richard G. <skunk@iSKUNK.ORG>
# 2007-09-14 mod by Sheri so 7.4 supported configuration options can be entered
# 2007-09-19 Adjusted by PH to retain previous default settings
# 2007-12-26 (a) On UNIX, use names libpcre instead of just pcre
#            (b) Ensure pcretest and pcregrep link with the local library,
#                not a previously-installed one.
#            (c) Add PCRE_SUPPORT_LIBREADLINE, PCRE_SUPPORT_LIBZ, and
#                PCRE_SUPPORT_LIBBZ2.
# 2008-01-20 Brought up to date to include several new features by Christian
#            Ehrlicher.
# 2008-01-22 Sheri added options for backward compatibility of library names
#            when building with minGW:
#            if "ON", NON_STANDARD_LIB_PREFIX causes shared libraries to
#            be built without "lib" as prefix. (The libraries will be named
#            pcre.dll, pcreposix.dll and pcrecpp.dll).
#            if "ON", NON_STANDARD_LIB_SUFFIX causes shared libraries to
#            be built with suffix of "-0.dll". (The libraries will be named
#            libpcre-0.dll, libpcreposix-0.dll and libpcrecpp-0.dll - same names
#            built by default with Configure and Make.
# 2008-01-23 PH removed the automatic build of pcredemo.
# 2008-04-22 PH modified READLINE support so it finds NCURSES when needed.
# 2008-07-03 PH updated for revised UCP property support (change of files)
# 2009-03-23 PH applied Steven Van Ingelgem's patch to change the name
#            CMAKE_BINARY_DIR to PROJECT_BINARY_DIR so that it works when PCRE
#            is included within another project.
# 2009-03-23 PH applied a modified version of Steven Van Ingelgem's patches to
#            add options to stop the building of pcregrep and the tests, and
#            to disable the final configuration report.
# 2009-04-11 PH applied Christian Ehrlicher's patch to show compiler flags that
#            are set by specifying a release type.
# 2010-01-02 PH added test for stdint.h
# 2010-03-02 PH added test for inttypes.h
# 2011-08-01 PH added PCREGREP_BUFSIZE
# 2011-08-22 PH added PCRE_SUPPORT_JIT
# 2011-09-06 PH modified WIN32 ADD_TEST line as suggested by Sergey Cherepanov
# 2011-09-06 PH added PCRE_SUPPORT_PCREGREP_JIT
# 2011-10-04 Sheri added support for including coff data in windows shared libraries
#            compiled with MINGW if pcre.rc and/or pcreposix.rc are placed in
#            the source dir by the user prior to building
# 2011-10-04 Sheri changed various add_test's to use exes' location built instead
#            of DEBUG location only (likely only matters in MSVC)
# 2011-10-04 Sheri added scripts to provide needed variables to RunTest and
#            RunGrepTest (used for UNIX and Msys)
# 2011-10-04 Sheri added scripts to provide needed variables and to execute
#            RunTest.bat in Win32 (for effortless testing with "make test")
# 2011-10-04 Sheri Increased minimum required cmake version
# 2012-01-06 PH removed pcre_info.c and added pcre_string_utils.c
# 2012-01-10 Zoltan Herczeg added libpcre16 support
# 2012-01-13 Stephen Kelly added out of source build support
# 2012-01-17 PH applied Stephen Kelly's patch to parse the version data out
#            of the configure.ac file
# 2012-02-26 PH added support for libedit
# 2012-09-06 PH added support for PCRE_EBCDIC_NL25
# 2012-09-08 ChPe added PCRE32 support
# 2012-10-23 PH added support for VALGRIND and GCOV
# 2012-12-08 PH added patch from Daniel Richard G to quash some MSVC warnings
# 2013-07-01 PH realized that the "support" for GCOV was a total nonsense and
#            so it has been removed.
# 2013-10-08 PH got rid of the "source" command, which is a bash-ism (use ".")
# 2013-11-05 PH added support for PARENS_NEST_LIMIT
# 2014-08-29 PH converted the file for PCRE2 (which has no C++).
# 2015-04-24 PH added support for PCRE2_DEBUG
# 2015-07-16 PH updated for new pcre2_find_bracket source module
# 2015-08-24 PH correct C_FLAGS setting (patch from Roy Ivy III)
# 2015-10=16 PH added support for never-backslash-C

PROJECT(PCRE2 C)

# Increased minimum to 2.8.0 to support newer add_test features. Set policy
# CMP0026 to avoid warnings for the use of LOCATION in GET_TARGET_PROPERTY.

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0)
CMAKE_POLICY(SET CMP0026 OLD)

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake) # for FindReadline.cmake

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -I${PROJECT_SOURCE_DIR}/src")

# external packages
FIND_PACKAGE( BZip2 )
FIND_PACKAGE( ZLIB )
FIND_PACKAGE( Readline )
FIND_PACKAGE( Editline )

# Configuration checks

INCLUDE(CheckIncludeFile)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckTypeSize)

CHECK_INCLUDE_FILE(dirent.h     HAVE_DIRENT_H)
CHECK_INCLUDE_FILE(stdint.h     HAVE_STDINT_H)
CHECK_INCLUDE_FILE(inttypes.h   HAVE_INTTYPES_H)
CHECK_INCLUDE_FILE(sys/stat.h   HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/types.h  HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE(unistd.h     HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(windows.h    HAVE_WINDOWS_H)

CHECK_FUNCTION_EXISTS(bcopy     HAVE_BCOPY)
CHECK_FUNCTION_EXISTS(memmove   HAVE_MEMMOVE)
CHECK_FUNCTION_EXISTS(strerror  HAVE_STRERROR)

# User-configurable options
#
# Note: CMakeSetup displays these in alphabetical order, regardless of
# the order we use here.

SET(BUILD_SHARED_LIBS OFF CACHE BOOL
    "Build shared libraries instead of static ones.")

OPTION(PCRE2_BUILD_PCRE2_8 "Build 8 bit PCRE2 library" ON)

OPTION(PCRE2_BUILD_PCRE2_16 "Build 16 bit PCRE2 library" OFF)

OPTION(PCRE2_BUILD_PCRE2_32 "Build 32 bit PCRE2 library" OFF)

OPTION(PCRE2_DEBUG "Include debugging code" OFF)

SET(PCRE2_EBCDIC OFF CACHE BOOL
    "Use EBCDIC coding instead of ASCII. (This is rarely used outside of mainframe systems.)")

SET(PCRE2_EBCDIC_NL25 OFF CACHE BOOL
    "Use 0x25 as EBCDIC NL character instead of 0x15; implies EBCDIC.")

SET(PCRE2_LINK_SIZE "2" CACHE STRING
    "Internal link size (2, 3 or 4 allowed). See LINK_SIZE in config.h.in for details.")

SET(PCRE2_PARENS_NEST_LIMIT "250" CACHE STRING
    "Default nested parentheses limit. See PARENS_NEST_LIMIT in config.h.in for details.")

SET(PCRE2_MATCH_LIMIT "10000000" CACHE STRING
    "Default limit on internal looping. See MATCH_LIMIT in config.h.in for details.")

SET(PCRE2_MATCH_LIMIT_RECURSION "MATCH_LIMIT" CACHE STRING
    "Default limit on internal recursion. See MATCH_LIMIT_RECURSION in config.h.in for details.")

SET(PCRE2GREP_BUFSIZE "20480" CACHE STRING
    "Buffer size parameter for pcre2grep. See PCRE2GREP_BUFSIZE in config.h.in for details.")

SET(PCRE2_NEWLINE "LF" CACHE STRING
    "What to recognize as a newline (one of CR, LF, CRLF, ANY, ANYCRLF).")

SET(PCRE2_HEAP_MATCH_RECURSE OFF CACHE BOOL
    "If ON, then don't use stack recursion when matching. See HEAP_MATCH_RECURSE in config.h.in for details.")

SET(PCRE2_SUPPORT_JIT OFF CACHE BOOL
    "Enable support for Just-in-time compiling.")

SET(PCRE2_SUPPORT_PCRE2GREP_JIT ON CACHE BOOL
    "Enable use of Just-in-time compiling in pcre2grep.")

SET(PCRE2_SUPPORT_UNICODE ON CACHE BOOL
    "Enable support for Unicode and UTF-8/UTF-16/UTF-32 encoding.")

SET(PCRE2_SUPPORT_BSR_ANYCRLF OFF CACHE BOOL
    "ON=Backslash-R matches only LF CR and CRLF, OFF=Backslash-R matches all Unicode Linebreaks")

SET(PCRE2_NEVER_BACKSLASH_C OFF CACHE BOOL
    "If ON, backslash-C (upper case C) is locked out.")

SET(PCRE2_SUPPORT_VALGRIND OFF CACHE BOOL
    "Enable Valgrind support.")

OPTION(PCRE2_SHOW_REPORT     "Show the final configuration report" ON)
OPTION(PCRE2_BUILD_PCRE2GREP "Build pcre2grep" ON)
OPTION(PCRE2_BUILD_TESTS     "Build the tests" ON)

IF (MINGW)
  OPTION(NON_STANDARD_LIB_PREFIX
         "ON=Shared libraries built in mingw will be named pcre2.dll, etc., instead of libpcre2.dll, etc."
         OFF)

  OPTION(NON_STANDARD_LIB_SUFFIX
         "ON=Shared libraries built in mingw will be named libpcre2-0.dll, etc., instead of libpcre2.dll, etc."
         OFF)
ENDIF(MINGW)

IF(MSVC)
  OPTION(INSTALL_MSVC_PDB
         "ON=Install .pdb files built by MSVC, if generated"
         OFF)
ENDIF(MSVC)

# bzip2 lib
IF(BZIP2_FOUND)
  OPTION (PCRE2_SUPPORT_LIBBZ2 "Enable support for linking pcre2grep with libbz2." ON)
ENDIF(BZIP2_FOUND)
IF(PCRE2_SUPPORT_LIBBZ2)
  INCLUDE_DIRECTORIES(${BZIP2_INCLUDE_DIR})
ENDIF(PCRE2_SUPPORT_LIBBZ2)

# zlib
IF(ZLIB_FOUND)
  OPTION (PCRE2_SUPPORT_LIBZ "Enable support for linking pcre2grep with libz." ON)
ENDIF(ZLIB_FOUND)
IF(PCRE2_SUPPORT_LIBZ)
  INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
ENDIF(PCRE2_SUPPORT_LIBZ)

# editline lib
IF(EDITLINE_FOUND)
  OPTION (PCRE2_SUPPORT_LIBEDIT  "Enable support for linking pcre2test with libedit." OFF)
ENDIF(EDITLINE_FOUND)
IF(PCRE2_SUPPORT_LIBEDIT)
  INCLUDE_DIRECTORIES(${EDITLINE_INCLUDE_DIR})
ENDIF(PCRE2_SUPPORT_LIBEDIT)

# readline lib
IF(READLINE_FOUND)
  OPTION (PCRE2_SUPPORT_LIBREADLINE  "Enable support for linking pcre2test with libreadline." ON)
ENDIF(READLINE_FOUND)
IF(PCRE2_SUPPORT_LIBREADLINE)
  INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
ENDIF(PCRE2_SUPPORT_LIBREADLINE)

# Prepare build configuration

IF(NOT BUILD_SHARED_LIBS)
        SET(PCRE2_STATIC 1)
ENDIF(NOT BUILD_SHARED_LIBS)

IF(NOT PCRE2_BUILD_PCRE2_8 AND NOT PCRE2_BUILD_PCRE2_16 AND NOT PCRE2_BUILD_PCRE2_32)
        MESSAGE(FATAL_ERROR "At least one of PCRE2_BUILD_PCRE2_8, PCRE2_BUILD_PCRE2_16 or PCRE2_BUILD_PCRE2_32 must be enabled")
ENDIF(NOT PCRE2_BUILD_PCRE2_8 AND NOT PCRE2_BUILD_PCRE2_16 AND NOT PCRE2_BUILD_PCRE2_32)

IF(PCRE2_BUILD_PCRE2_8)
        SET(SUPPORT_PCRE2_8 1)
ENDIF(PCRE2_BUILD_PCRE2_8)

IF(PCRE2_BUILD_PCRE2_16)
        SET(SUPPORT_PCRE2_16 1)
ENDIF(PCRE2_BUILD_PCRE2_16)

IF(PCRE2_BUILD_PCRE2_32)
        SET(SUPPORT_PCRE2_32 1)
ENDIF(PCRE2_BUILD_PCRE2_32)

IF(PCRE2_BUILD_PCRE2GREP AND NOT PCRE2_BUILD_PCRE2_8)
        MESSAGE(STATUS "** PCRE2_BUILD_PCRE2_8 must be enabled for the pcre2grep program")
        SET(PCRE2_BUILD_PCRE2GREP OFF)
ENDIF(PCRE2_BUILD_PCRE2GREP AND NOT PCRE2_BUILD_PCRE2_8)

IF(PCRE2_SUPPORT_LIBREADLINE AND PCRE2_SUPPORT_LIBEDIT)
        MESSAGE(FATAL_ERROR "Only one of libreadline or libeditline can be specified")
ENDIF(PCRE2_SUPPORT_LIBREADLINE AND PCRE2_SUPPORT_LIBEDIT)

IF(PCRE2_SUPPORT_BSR_ANYCRLF)
        SET(BSR_ANYCRLF 1)
ENDIF(PCRE2_SUPPORT_BSR_ANYCRLF)

IF(PCRE2_NEVER_BACKSLASH_C)
        SET(NEVER_BACKSLASH_C 1)
ENDIF(PCRE2_NEVER_BACKSLASH_C)

IF(PCRE2_SUPPORT_UNICODE)
        SET(SUPPORT_UNICODE 1)
ENDIF(PCRE2_SUPPORT_UNICODE)

IF(PCRE2_SUPPORT_JIT)
        SET(SUPPORT_JIT 1)
ENDIF(PCRE2_SUPPORT_JIT)

IF(PCRE2_SUPPORT_PCRE2GREP_JIT)
        SET(SUPPORT_PCRE2GREP_JIT 1)
ENDIF(PCRE2_SUPPORT_PCRE2GREP_JIT)

IF(PCRE2_SUPPORT_VALGRIND)
        SET(SUPPORT_VALGRIND 1)
ENDIF(PCRE2_SUPPORT_VALGRIND)

# This next one used to reference ${READLINE_LIBRARY})
# but I was advised to add the NCURSES test as well, along with
# some modifications to cmake/FindReadline.cmake which should
# make it possible to override the default if necessary. PH

IF(PCRE2_SUPPORT_LIBREADLINE)
        SET(SUPPORT_LIBREADLINE 1)
        SET(PCRE2TEST_LIBS ${READLINE_LIBRARY} ${NCURSES_LIBRARY})
ENDIF(PCRE2_SUPPORT_LIBREADLINE)

# libedit is a plug-compatible alternative to libreadline

IF(PCRE2_SUPPORT_LIBEDIT)
        SET(SUPPORT_LIBEDIT 1)
        SET(PCRE2TEST_LIBS ${EDITLINE_LIBRARY} ${NCURSES_LIBRARY})
ENDIF(PCRE2_SUPPORT_LIBEDIT)

IF(PCRE2_SUPPORT_LIBZ)
        SET(SUPPORT_LIBZ 1)
        SET(PCRE2GREP_LIBS ${PCRE2GREP_LIBS} ${ZLIB_LIBRARIES})
ENDIF(PCRE2_SUPPORT_LIBZ)

IF(PCRE2_SUPPORT_LIBBZ2)
        SET(SUPPORT_LIBBZ2 1)
        SET(PCRE2GREP_LIBS ${PCRE2GREP_LIBS} ${BZIP2_LIBRARIES})
ENDIF(PCRE2_SUPPORT_LIBBZ2)

SET(NEWLINE_DEFAULT "")

IF(PCRE2_NEWLINE STREQUAL "CR")
        SET(NEWLINE_DEFAULT "1")

## pcre2 10.22

=== debian/changelog ===
pcre2 (10.22-3+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2022-1586: Out-of-bounds read involving unicode property matching in
    JIT-compiled regular expressions. The issue occurs because the character
    was not fully read in case-less matching within JIT. (Closes: #1011954).
  * Subject buffer overread in JIT when UTF is disabled and \X or \R has a
    greater than 1 fixed quantifier.
  * Thanks for Guilhem for preparing the buster update, as this upload recycles
    many bits from their package!

 -- Tobias Frost <tobi@debian.org>  Sat, 18 Mar 2023 15:53:31 +0100

pcre2 (10.22-3) unstable; urgency=medium

  * CVE-2017-7186: invalid Unicode property lookup may cause denial of
    service (Closes: #858233)

 -- Matthew Vernon <matthew@debian.org>  Tue, 21 Mar 2017 22:33:58 +0000

pcre2 (10.22-2) unstable; urgency=low

  * re-upload with source :-(

 -- Matthew Vernon <matthew@debian.org>  Tue, 02 Aug 2016 19:27:58 +0100

pcre2 (10.22-1) unstable; urgency=low

  * New upstream release

 -- Matthew Vernon <matthew@debian.org>  Tue, 02 Aug 2016 18:59:19 +0100

pcre2 (10.21-1) unstable; urgency=low

  * New upstream version
  * Upstream patch to fix workspace overflow for (*ACCEPT) with deeply
    nested parentheses (Closes: #815920)

 -- Matthew Vernon <matthew@debian.org>  Sat, 27 Feb 2016 15:21:34 +0000

pcre2 (10.20-3) unstable; urgency=low

  * Enable JIT on ppc64 & ppc64el (Closes: #806388)

 -- Matthew Vernon <matthew@debian.org>  Fri, 27 Nov 2015 08:16:38 +0000

pcre2 (10.20-2) unstable; urgency=low

  * remove unnecessary -L settings (Closes: #805941)
  * Improve makefile syntax, and add JIT on arm64

 -- Matthew Vernon <matthew@debian.org>  Tue, 24 Nov 2015 20:39:15 +0000

pcre2 (10.20-1) unstable; urgency=low

  * Initial debian version (Closes: #805728)

 -- Matthew Vernon <matthew@debian.org>  Sun, 22 Nov 2015 15:58:38 +0000

=== debian/control ===
Source: pcre2
Section: libs
Priority: optional
Maintainer:  Matthew Vernon <matthew@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>=9), dpkg-dev (>= 1.16.1~)

Package: libpcre2-8-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: New Perl Compatible Regular Expression Library- 8 bit runtime files
 This is PCRE2, the new implementation of PCRE, a library of functions
 to support regular expressions whose syntax and semantics are as
 close as possible to those of the Perl 5 language. New projects
 should use this library in preference to the older library,
 confusingly called pcre3 in Debian.
 .
 This package contains the 8 bit runtime library.

Package: libpcre2-16-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: New Perl Compatible Regular Expression Library - 16 bit runtime files
 This is PCRE2, the new implementation of PCRE, a library of functions
 to support regular expressions whose syntax and semantics are as
 close as possible to those of the Perl 5 language. New projects
 should use this library in preference to the older library,
 confusingly called pcre3 in Debian.
 .
 This package contains the 16 bit runtime library.

Package: libpcre2-32-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: New Perl Compatible Regular Expression Library - 32 bit runtime files
 This is PCRE2, the new implementation of PCRE, a library of functions
 to support regular expressions whose syntax and semantics are as
 close as possible to those of the Perl 5 language. New projects
 should use this library in preference to the older library,
 confusingly called pcre3 in Debian.
 .
 This package contains the 32 bit runtime library.

Package: libpcre2-posix0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: New Perl Compatible Regular Expression Library - posix-compatible runtime files
 This is PCRE2, the new implementation of PCRE, a library of functions
 to support regular expressions whose syntax and semantics are as
 close as possible to those of the Perl 5 language. New projects
 should use this library in preference to the older library,
 confusingly called pcre3 in Debian.
 .
 This package contains the runtime library for the posix-compatible API.

Package: libpcre2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Conflicts: libpcre3-dev (<<2:8.35-8)
Depends: libc6-dev, libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix0 (= ${binary:Version}), ${misc:Depends}
Description: New Perl Compatible Regular Expression Library - development files
 This is PCRE2, the new implementation of PCRE, a library of functions
 to support regular expressions whose syntax and semantics are as
 close as possible to those of the Perl 5 language. New projects
 should use this library in preference to the older library,
 confusingly called pcre3 in Debian.
 .
 This package contains the development files, including headers,
 static libraries, and documentation.

Package: libpcre2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix0 (= ${binary:Version}), ${misc:Depends}
Description: New Perl Compatible Regular Expression Library - debug symbols
 This is PCRE2, the new implementation of PCRE, a library of functions
 to support regular expressions whose syntax and semantics are as
 close as possible to those of the Perl 5 language. New projects
 should use this library in preference to the older library,
 confusingly called pcre3 in Debian.
 .
 This package contains the debug symbols.


Package: pcre2-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: New Perl Compatible Regular Expression Library - utilities
 This is PCRE2, the new implementation of PCRE, a library of functions
 to support regular expressions whose syntax and semantics are as
 close as possible to those of the Perl 5 language. New projects
 should use this library in preference to the older library,
 confusingly called pcre3 in Debian.
 .
 This package contains the utilities pcre2grep (like grep with PCRE)
 and pcre2test (a test program for the library, but also useful for
 experimenting with regular expressions). Both programs are also
 useful examples of programming with libpcre2.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see dpkg-buildflags(1)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
# prefix names of functions in libpcreposix with PCRE2 to avoid clash with
# ones in libc.
export DEB_CFLAGS_MAINT_APPEND = -Dregcomp=PCRE2regcomp -Dregexec=PCRE2regexec -Dregerror=PCRE2regerror -Dregfree=PCRE2regfree


deb_maint_conf_args = --enable-pcre2-16 --enable-pcre2-32
#enable JIT only on architectures that support it (see pcre2jit.3)
ifneq ($(filter i386 amd64 armel armhf mips mipsel mips64el powerpc sparc arm64 ppc64 ppc64el, $(DEB_HOST_ARCH)),)
deb_maint_conf_args +=--enable-jit
else
deb_maint_conf_args +=--disable-jit
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(deb_maint_conf_args)

override_dh_strip:
	dh_strip --dbg-package=libpcre2-dbg

## pcre2 10.31

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,6 +71,15 @@
 # 2015-07-16 PH updated for new pcre2_find_bracket source module
 # 2015-08-24 PH correct C_FLAGS setting (patch from Roy Ivy III)
 # 2015-10=16 PH added support for never-backslash-C
+# 2016-03-01 PH applied Chris Wilson's patch for MSVC static
+# 2016-06-24 PH applied Chris Wilson's second patch, putting the first under
+#            a new option instead of being unconditional.
+# 2016-10-05 PH fixed a typo (PCRE should be PCRE2) in above patch
+#            fix by David Gaussmann
+# 2016-10-07 PH added PCREGREP_MAX_BUFSIZE
+# 2017-03-11 PH turned HEAP_MATCH_RECURSE into a NO-OP for 10.30
+# 2017-04-08 PH added HEAP_LIMIT
+# 2017-06-15 ZH added SUPPORT_JIT_SEALLOC support
 
 PROJECT(PCRE2 C)
 
@@ -136,26 +145,38 @@
 SET(PCRE2_PARENS_NEST_LIMIT "250" CACHE STRING
     "Default nested parentheses limit. See PARENS_NEST_LIMIT in config.h.in for details.")
 
+SET(PCRE2_HEAP_LIMIT "20000000" CACHE STRING
+    "Default limit on heap memory (kilobytes). See HEAP_LIMIT in config.h.in for details.")
+
 SET(PCRE2_MATCH_LIMIT "10000000" CACHE STRING
     "Default limit on internal looping. See MATCH_LIMIT in config.h.in for details.")
 
-SET(PCRE2_MATCH_LIMIT_RECURSION "MATCH_LIMIT" CACHE STRING
-    "Default limit on internal recursion. See MATCH_LIMIT_RECURSION in config.h.in for details.")
+SET(PCRE2_MATCH_LIMIT_DEPTH "MATCH_LIMIT" CACHE STRING
+    "Default limit on internal depth of search. See MATCH_LIMIT_DEPTH in config.h.in for details.")
 
 SET(PCRE2GREP_BUFSIZE "20480" CACHE STRING
-    "Buffer size parameter for pcre2grep. See PCRE2GREP_BUFSIZE in config.h.in for details.")
+    "Buffer starting size parameter for pcre2grep. See PCRE2GREP_BUFSIZE in config.h.in for details.")
+
+SET(PCRE2GREP_MAX_BUFSIZE "1048576" CACHE STRING
+    "Buffer maximum size parameter for pcre2grep. See PCRE2GREP_MAX_BUFSIZE in config.h.in for details.")
 
 SET(PCRE2_NEWLINE "LF" CACHE STRING
-    "What to recognize as a newline (one of CR, LF, CRLF, ANY, ANYCRLF).")
+    "What to recognize as a newline (one of CR, LF, CRLF, ANY, ANYCRLF, NUL).")
 
 SET(PCRE2_HEAP_MATCH_RECURSE OFF CACHE BOOL
-    "If ON, then don't use stack recursion when matching. See HEAP_MATCH_RECURSE in config.h.in for details.")
+    "Obsolete option: do not use")
 
 SET(PCRE2_SUPPORT_JIT OFF CACHE BOOL
     "Enable support for Just-in-time compiling.")
 
+SET(PCRE2_SUPPORT_JIT_SEALLOC OFF CACHE BOOL
+    "Enable SELinux compatible execmem allocator in JIT.")
+
 SET(PCRE2_SUPPORT_PCRE2GREP_JIT ON CACHE BOOL
     "Enable use of Just-in-time compiling in pcre2grep.")
+
+SET(PCRE2_SUPPORT_PCRE2GREP_CALLOUT ON CACHE BOOL
+    "Enable callout string support in pcre2grep.")
 
 SET(PCRE2_SUPPORT_UNICODE ON CACHE BOOL
     "Enable support for Unicode and UTF-8/UTF-16/UTF-32 encoding.")
@@ -184,6 +205,9 @@
 ENDIF(MINGW)
 
 IF(MSVC)
+  OPTION(PCRE2_STATIC_RUNTIME
+	"ON=Compile against the static runtime (/MT)."
+	OFF)
   OPTION(INSTALL_MSVC_PDB
          "ON=Install .pdb files built by MSVC, if generated"
          OFF)
@@ -268,42 +292,9 @@
         SET(SUPPORT_JIT 1)
 ENDIF(PCRE2_SUPPORT_JIT)
 
+IF(PCRE2_SUPPORT_JIT_SEALLOC)
+        SET(SLJIT_PROT_EXECUTABLE_ALLOCATOR 1)
+ENDIF(PCRE2_SUPPORT_JIT_SEALLOC)
+
 IF(PCRE2_SUPPORT_PCRE2GREP_JIT)
         SET(SUPPORT_PCRE2GREP_JIT 1)
-ENDIF(PCRE2_SUPPORT_PCRE2GREP_JIT)
-
-IF(PCRE2_SUPPORT_VALGRIND)
-        SET(SUPPORT_VALGRIND 1)
-ENDIF(PCRE2_SUPPORT_VALGRIND)
-
-# This next one used to reference ${READLINE_LIBRARY})
-# but I was advised to add the NCURSES test as well, along with
-# some modifications to cmake/FindReadline.cmake which should
-# make it possible to override the default if necessary. PH
-
-IF(PCRE2_SUPPORT_LIBREADLINE)
-        SET(SUPPORT_LIBREADLINE 1)
-        SET(PCRE2TEST_LIBS ${READLINE_LIBRARY} ${NCURSES_LIBRARY})
-ENDIF(PCRE2_SUPPORT_LIBREADLINE)
-
-# libedit is a plug-compatible alternative to libreadline
-
-IF(PCRE2_SUPPORT_LIBEDIT)
-        SET(SUPPORT_LIBEDIT 1)
-        SET(PCRE2TEST_LIBS ${EDITLINE_LIBRARY} ${NCURSES_LIBRARY})
-ENDIF(PCRE2_SUPPORT_LIBEDIT)
-
-IF(PCRE2_SUPPORT_LIBZ)
-        SET(SUPPORT_LIBZ 1)
-        SET(PCRE2GREP_LIBS ${PCRE2GREP_LIBS} ${ZLIB_LIBRARIES})
-ENDIF(PCRE2_SUPPORT_LIBZ)
-
-IF(PCRE2_SUPPORT_LIBBZ2)
-        SET(SUPPORT_LIBBZ2 1)
-        SET(PCRE2GREP_LIBS ${PCRE2GREP_LIBS} ${BZIP2_LIBRARIES})
-ENDIF(PCRE2_SUPPORT_LIBBZ2)
-
-SET(NEWLINE_DEFAULT "")
-
-IF(PCRE2_NEWLINE STREQUAL "CR")
-        SET(NEWLINE_DEFAULT "1")

## pcre2 10.32.1

=== debian/changelog ===
pcre2 (10.32.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 44d7cc3a9db5daf5ed16fd18b4b0463fcce50e7c']

 -- shuttle <shuttle@deepin.com>  Tue, 04 Aug 2020 09:45:25 +0000

## pcre2 10.32.2

=== debian/changelog ===
pcre2 (10.32.2-deepin1) unstable; urgency=medium

  * update to upstream 10.32-5+deb10u1.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 17 Mar 2023 11:45:44 +0800

pcre2 (10.32-5+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-20454: Out-of-bounds read when the pattern \X is JIT compiled and
    used to match specially crafted subjects in non-UTF mode.
  * CVE-2022-1586: Out-of-bounds read involving unicode property matching in
    JIT-compiled regular expressions. The issue occurs because the character
    was not fully read in case-less matching within JIT. (Closes: #1011954).
  * CVE-2022-1587: Out-of-bounds read affecting recursions in JIT-compiled
    regular expressions caused by duplicate data transfers. (Closes:
    #1011954).
  * Subject buffer overread in JIT when UTF is disabled and \X or \R has a
    greater than 1 fixed quantifier.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 16 Mar 2023 01:21:36 +0100

pcre2 (10.32-5) unstable; urgency=high

  * Patch from Guillem Jover <guillem@debian.org> to only use SSE2
    instructions on those i386 CPUs that support them (Closes: #925360)

 -- Matthew Vernon <matthew@debian.org>  Mon, 25 Mar 2019 19:56:19 +0000

pcre2 (10.32-4) unstable; urgency=medium

  * Take patch from Jeremy Bicha to build with
    --disable-pcre2grep-callout: A grep tool should not be expected to
    execute commands (Closes: #920273) (LP: #1636666)

 -- Matthew Vernon <matthew@debian.org>  Thu, 24 Jan 2019 09:20:51 +0000

pcre2 (10.32-3) unstable; urgency=medium

  * Sacrifice an integer to dgit (previous upload didn't work)

 -- Matthew Vernon <matthew@debian.org>  Sun, 28 Oct 2018 14:19:04 +0000

pcre2 (10.32-2) unstable; urgency=medium

  * Take Ondřej Nový's patch to remove redundant Priority field in -dbg
    package

 -- Matthew Vernon <matthew@debian.org>  Fri, 26 Oct 2018 20:01:53 +0100

pcre2 (10.32-1) unstable; urgency=medium

  * New upstream release

 -- Matthew Vernon <matthew@debian.org>  Fri, 26 Oct 2018 19:27:13 +0100

pcre2 (10.31-3) unstable; urgency=medium

  * Disable JIT on mips* (apropos #892488)

 -- Matthew Vernon <matthew@debian.org>  Sat, 10 Mar 2018 00:31:33 +0000

pcre2 (10.31-2) unstable; urgency=low

  * Point to salsa repo in vcs* fields
  * priority extra -> optional
  * Add homepage link in debian/control
  * Update to newer standards-version

 -- Matthew Vernon <matthew@debian.org>  Sat, 24 Feb 2018 14:57:26 +0000

pcre2 (10.31-1) unstable; urgency=medium

  * New upstream version (Closes: #883224)

 -- Matthew Vernon <matthew@debian.org>  Sat, 24 Feb 2018 12:13:02 +0000

pcre2 (10.22-6) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Add a libpcre2-8-0-udeb, needed by vte2.91 (Closes: #887674)
  * Enable parallel building.

 -- Matthew Vernon <matthew@debian.org>  Sat, 03 Feb 2018 18:44:08 +0000

pcre2 (10.22-5) unstable; urgency=medium

  * Add Vcs-{Git,Browser} fields to debian/control

 -- Matthew Vernon <matthew@debian.org>  Fri, 01 Dec 2017 17:35:06 +0000

pcre2 (10.22-4) unstable; urgency=low

  * Add README.source explaining packaging workflow (Closes: #862425)

 -- Matthew Vernon <matthew@debian.org>  Thu, 30 Nov 2017 14:17:39 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer:  Matthew Vernon <matthew@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Build-Depends: debhelper (>=9), dpkg-dev (>= 1.16.1~)
+Vcs-Git: https://salsa.debian.org/debian/pcre2.git
+Vcs-Browser: https://salsa.debian.org/debian/pcre2
+Homepage: https://pcre.org/
 
 Package: libpcre2-8-0
 Section: libs
@@ -19,6 +22,14 @@
  confusingly called pcre3 in Debian.
  .
  This package contains the 8 bit runtime library.
+
+Package: libpcre2-8-0-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: New Perl Compatible Regular Expression Library- 8 bit runtime files (udeb)
+ This package contains the 8 bit runtime library, for the Debian Installer.
 
 Package: libpcre2-16-0
 Section: libs
@@ -83,7 +94,6 @@
 
 Package: libpcre2-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix0 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -11,19 +11,22 @@
 export DEB_CFLAGS_MAINT_APPEND = -Dregcomp=PCRE2regcomp -Dregexec=PCRE2regexec -Dregerror=PCRE2regerror -Dregfree=PCRE2regfree
 
 
-deb_maint_conf_args = --enable-pcre2-16 --enable-pcre2-32
+deb_maint_conf_args = --enable-pcre2-16 --enable-pcre2-32 --disable-pcre2grep-callout
 #enable JIT only on architectures that support it (see pcre2jit.3)
-ifneq ($(filter i386 amd64 armel armhf mips mipsel mips64el powerpc sparc arm64 ppc64 ppc64el, $(DEB_HOST_ARCH)),)
+ifneq ($(filter i386 amd64 armel armhf powerpc sparc arm64 ppc64 ppc64el, $(DEB_HOST_ARCH)),)
 deb_maint_conf_args +=--enable-jit
 else
 deb_maint_conf_args +=--disable-jit
 endif
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(deb_maint_conf_args)
 
+override_dh_makeshlibs:
+	dh_makeshlibs -V --add-udeb=libpcre2-8-0-udeb
+
 override_dh_strip:
 	dh_strip --dbg-package=libpcre2-dbg

## pcre2 10.34

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,14 +80,20 @@
 # 2017-03-11 PH turned HEAP_MATCH_RECURSE into a NO-OP for 10.30
 # 2017-04-08 PH added HEAP_LIMIT
 # 2017-06-15 ZH added SUPPORT_JIT_SEALLOC support
+# 2018-06-19 PH added checks for stdint.h and inttypes.h (later removed)
+# 2018-06-27 PH added Daniel's patch to increase the stack for MSVC
+# 2018-11-14 PH removed unnecessary checks for stdint.h and inttypes.h
+# 2018-11-16 PH added PCRE2GREP_SUPPORT_CALLOUT_FORK support and tidied
+# 2019-02-16 PH hacked to avoid CMP0026 policy issue (see comments below)
 
 PROJECT(PCRE2 C)
 
-# Increased minimum to 2.8.0 to support newer add_test features. Set policy
-# CMP0026 to avoid warnings for the use of LOCATION in GET_TARGET_PROPERTY.
-
+# Increased minimum to 2.8.0 to support newer add_test features.
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0)
-CMAKE_POLICY(SET CMP0026 OLD)
+
+# Set policy CMP0026 to avoid warnings for the use of LOCATION in
+# GET_TARGET_PROPERTY. This should no longer be required.
+# CMAKE_POLICY(SET CMP0026 OLD)
 
 SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake) # for FindReadline.cmake
 
@@ -133,6 +139,8 @@
 
 OPTION(PCRE2_DEBUG "Include debugging code" OFF)
 
+OPTION(PCRE2_DISABLE_PERCENT_ZT "Disable the use of %zu and %td (rarely needed)" OFF)
+
 SET(PCRE2_EBCDIC OFF CACHE BOOL
     "Use EBCDIC coding instead of ASCII. (This is rarely used outside of mainframe systems.)")
 
@@ -146,7 +154,7 @@
     "Default nested parentheses limit. See PARENS_NEST_LIMIT in config.h.in for details.")
 
 SET(PCRE2_HEAP_LIMIT "20000000" CACHE STRING
-    "Default limit on heap memory (kilobytes). See HEAP_LIMIT in config.h.in for details.")
+    "Default limit on heap memory (kibibytes). See HEAP_LIMIT in config.h.in for details.")
 
 SET(PCRE2_MATCH_LIMIT "10000000" CACHE STRING
     "Default limit on internal looping. See MATCH_LIMIT in config.h.in for details.")
@@ -170,13 +178,16 @@
     "Enable support for Just-in-time compiling.")
 
 SET(PCRE2_SUPPORT_JIT_SEALLOC OFF CACHE BOOL
-    "Enable SELinux compatible execmem allocator in JIT.")
-
-SET(PCRE2_SUPPORT_PCRE2GREP_JIT ON CACHE BOOL
+    "Enable SELinux compatible execmem allocator in JIT (experimental).")
+
+SET(PCRE2GREP_SUPPORT_JIT ON CACHE BOOL
     "Enable use of Just-in-time compiling in pcre2grep.")
 
-SET(PCRE2_SUPPORT_PCRE2GREP_CALLOUT ON CACHE BOOL
+SET(PCRE2GREP_SUPPORT_CALLOUT ON CACHE BOOL
     "Enable callout string support in pcre2grep.")
+
+SET(PCRE2GREP_SUPPORT_CALLOUT_FORK ON CACHE BOOL
+    "Enable callout string fork support in pcre2grep.")
 
 SET(PCRE2_SUPPORT_UNICODE ON CACHE BOOL
     "Enable support for Unicode and UTF-8/UTF-16/UTF-32 encoding.")
@@ -274,27 +285,3 @@
 
 IF(PCRE2_SUPPORT_LIBREADLINE AND PCRE2_SUPPORT_LIBEDIT)
         MESSAGE(FATAL_ERROR "Only one of libreadline or libeditline can be specified")
-ENDIF(PCRE2_SUPPORT_LIBREADLINE AND PCRE2_SUPPORT_LIBEDIT)
-
-IF(PCRE2_SUPPORT_BSR_ANYCRLF)
-        SET(BSR_ANYCRLF 1)
-ENDIF(PCRE2_SUPPORT_BSR_ANYCRLF)
-
-IF(PCRE2_NEVER_BACKSLASH_C)
-        SET(NEVER_BACKSLASH_C 1)
-ENDIF(PCRE2_NEVER_BACKSLASH_C)
-
-IF(PCRE2_SUPPORT_UNICODE)
-        SET(SUPPORT_UNICODE 1)
-ENDIF(PCRE2_SUPPORT_UNICODE)
-
-IF(PCRE2_SUPPORT_JIT)
-        SET(SUPPORT_JIT 1)
-ENDIF(PCRE2_SUPPORT_JIT)
-
-IF(PCRE2_SUPPORT_JIT_SEALLOC)
-        SET(SLJIT_PROT_EXECUTABLE_ALLOCATOR 1)
-ENDIF(PCRE2_SUPPORT_JIT_SEALLOC)
-
-IF(PCRE2_SUPPORT_PCRE2GREP_JIT)
-        SET(SUPPORT_PCRE2GREP_JIT 1)

## pcre2 10.36

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 # CMakeLists.txt
-#
 #
 # This file enables PCRE2 to be built with the CMake configuration and build
 # tool. Download CMake in source or binary form from http://www.cmake.org/
@@ -85,19 +84,33 @@
 # 2018-11-14 PH removed unnecessary checks for stdint.h and inttypes.h
 # 2018-11-16 PH added PCRE2GREP_SUPPORT_CALLOUT_FORK support and tidied
 # 2019-02-16 PH hacked to avoid CMP0026 policy issue (see comments below)
+# 2020-03-16 PH renamed dftables as pcre2_dftables (as elsewhere)
+# 2020-03-24 PH changed CMAKE_MODULE_PATH definition to add, not replace
+# 2020-04-08 Carlo added function check for secure_getenv, fixed strerror
+# 2020-04-16 enh added check for __attribute__((uninitialized))
+# 2020-04-25 PH applied patches from Uwe Korn to support pkg-config and
+#            library versioning.
+# 2020-04-25 Carlo added function check for mkostemp used in ProtExecAllocator
+# 2020-04-28 PH added function check for memfd_create based on Carlo's patch
+# 2020-05-25 PH added a check for Intel CET
+# 2020-12-03 PH altered the definition of pcre2test as suggested by Daniel
 
 PROJECT(PCRE2 C)
 
-# Increased minimum to 2.8.0 to support newer add_test features.
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0)
+# Increased minimum to 2.8.5 to support GNUInstallDirs.
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.5)
 
 # Set policy CMP0026 to avoid warnings for the use of LOCATION in
 # GET_TARGET_PROPERTY. This should no longer be required.
 # CMAKE_POLICY(SET CMP0026 OLD)
 
-SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake) # for FindReadline.cmake
-
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -I${PROJECT_SOURCE_DIR}/src")
+# For FindReadline.cmake. This was changed to allow setting CMAKE_MODULE_PATH
+# on the command line.
+# SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
+
+LIST(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
+
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -I\"${PROJECT_SOURCE_DIR}/src\"")
 
 # external packages
 FIND_PACKAGE( BZip2 )
@@ -107,9 +120,12 @@
 
 # Configuration checks
 
+INCLUDE(CheckCSourceCompiles)
+INCLUDE(CheckFunctionExists)
+INCLUDE(CheckSymbolExists)
 INCLUDE(CheckIncludeFile)
-INCLUDE(CheckFunctionExists)
 INCLUDE(CheckTypeSize)
+INCLUDE(GNUInstallDirs) # for CMAKE_INSTALL_LIBDIR
 
 CHECK_INCLUDE_FILE(dirent.h     HAVE_DIRENT_H)
 CHECK_INCLUDE_FILE(stdint.h     HAVE_STDINT_H)
@@ -119,9 +135,37 @@
 CHECK_INCLUDE_FILE(unistd.h     HAVE_UNISTD_H)
 CHECK_INCLUDE_FILE(windows.h    HAVE_WINDOWS_H)
 
-CHECK_FUNCTION_EXISTS(bcopy     HAVE_BCOPY)
-CHECK_FUNCTION_EXISTS(memmove   HAVE_MEMMOVE)
-CHECK_FUNCTION_EXISTS(strerror  HAVE_STRERROR)
+CHECK_SYMBOL_EXISTS(bcopy         "strings.h"  HAVE_BCOPY)
+CHECK_SYMBOL_EXISTS(memfd_create  "sys/mman.h" HAVE_MEMFD_CREATE)
+CHECK_SYMBOL_EXISTS(memmove       "string.h"   HAVE_MEMMOVE)
+CHECK_SYMBOL_EXISTS(secure_getenv "stdlib.h"   HAVE_SECURE_GETENV)
+CHECK_SYMBOL_EXISTS(strerror      "string.h"   HAVE_STRERROR)
+
+set(ORIG_CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS})
+set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -Werror")
+CHECK_C_SOURCE_COMPILES(
+  "int main() { char buf[128] __attribute__((uninitialized)); (void)buf; return 0; }"
+  HAVE_ATTRIBUTE_UNINITIALIZED
+)
+set(CMAKE_REQUIRED_FLAGS ${ORIG_CMAKE_REQUIRED_FLAGS})
+
+# Check whether Intel CET is enabled, and if so, adjust compiler flags. This
+# code was written by PH, trying to imitate the logic from the autotools
+# configuration.
+
+CHECK_C_SOURCE_COMPILES(
+  "#ifndef __CET__
+   #error CET is not enabled
+   #endif
+   int main() { return 0; }"
+  INTEL_CET_ENABLED
+)
+
+IF (INTEL_CET_ENABLED)
+  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mshstk")
+ENDIF(INTEL_CET_ENABLED)
+
+
 
 # User-configurable options
 #
@@ -177,8 +221,12 @@
 SET(PCRE2_SUPPORT_JIT OFF CACHE BOOL
     "Enable support for Just-in-time compiling.")
 
-SET(PCRE2_SUPPORT_JIT_SEALLOC OFF CACHE BOOL
-    "Enable SELinux compatible execmem allocator in JIT (experimental).")
+IF(${CMAKE_SYSTEM_NAME} MATCHES Linux|NetBSD)
+    SET(PCRE2_SUPPORT_JIT_SEALLOC OFF CACHE BOOL
+        "Enable SELinux compatible execmem allocator in JIT (experimental).")
+ELSE(${CMAKE_SYSTEM_NAME} MATCHES Linux|NetBSD)
+    SET(PCRE2_SUPPORT_JIT_SEALLOC IGNORE)
+ENDIF(${CMAKE_SYSTEM_NAME} MATCHES Linux|NetBSD)
 
 SET(PCRE2GREP_SUPPORT_JIT ON CACHE BOOL
     "Enable use of Just-in-time compiling in pcre2grep.")
@@ -226,62 +274,3 @@
 
 # bzip2 lib
 IF(BZIP2_FOUND)
-  OPTION (PCRE2_SUPPORT_LIBBZ2 "Enable support for linking pcre2grep with libbz2." ON)
-ENDIF(BZIP2_FOUND)
-IF(PCRE2_SUPPORT_LIBBZ2)
-  INCLUDE_DIRECTORIES(${BZIP2_INCLUDE_DIR})
-ENDIF(PCRE2_SUPPORT_LIBBZ2)
-
-# zlib
-IF(ZLIB_FOUND)
-  OPTION (PCRE2_SUPPORT_LIBZ "Enable support for linking pcre2grep with libz." ON)
-ENDIF(ZLIB_FOUND)
-IF(PCRE2_SUPPORT_LIBZ)
-  INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
-ENDIF(PCRE2_SUPPORT_LIBZ)
-
-# editline lib
-IF(EDITLINE_FOUND)
-  OPTION (PCRE2_SUPPORT_LIBEDIT  "Enable support for linking pcre2test with libedit." OFF)
-ENDIF(EDITLINE_FOUND)
-IF(PCRE2_SUPPORT_LIBEDIT)
-  INCLUDE_DIRECTORIES(${EDITLINE_INCLUDE_DIR})
-ENDIF(PCRE2_SUPPORT_LIBEDIT)
-
-# readline lib
-IF(READLINE_FOUND)
-  OPTION (PCRE2_SUPPORT_LIBREADLINE  "Enable support for linking pcre2test with libreadline." ON)
-ENDIF(READLINE_FOUND)
-IF(PCRE2_SUPPORT_LIBREADLINE)
-  INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
-ENDIF(PCRE2_SUPPORT_LIBREADLINE)
-
-# Prepare build configuration
-
-IF(NOT BUILD_SHARED_LIBS)
-        SET(PCRE2_STATIC 1)
-ENDIF(NOT BUILD_SHARED_LIBS)
-
-IF(NOT PCRE2_BUILD_PCRE2_8 AND NOT PCRE2_BUILD_PCRE2_16 AND NOT PCRE2_BUILD_PCRE2_32)
-        MESSAGE(FATAL_ERROR "At least one of PCRE2_BUILD_PCRE2_8, PCRE2_BUILD_PCRE2_16 or PCRE2_BUILD_PCRE2_32 must be enabled")
-ENDIF(NOT PCRE2_BUILD_PCRE2_8 AND NOT PCRE2_BUILD_PCRE2_16 AND NOT PCRE2_BUILD_PCRE2_32)
-
-IF(PCRE2_BUILD_PCRE2_8)
-        SET(SUPPORT_PCRE2_8 1)
-ENDIF(PCRE2_BUILD_PCRE2_8)
-
-IF(PCRE2_BUILD_PCRE2_16)
-        SET(SUPPORT_PCRE2_16 1)
-ENDIF(PCRE2_BUILD_PCRE2_16)
-
-IF(PCRE2_BUILD_PCRE2_32)
-        SET(SUPPORT_PCRE2_32 1)
-ENDIF(PCRE2_BUILD_PCRE2_32)
-
-IF(PCRE2_BUILD_PCRE2GREP AND NOT PCRE2_BUILD_PCRE2_8)
-        MESSAGE(STATUS "** PCRE2_BUILD_PCRE2_8 must be enabled for the pcre2grep program")
-        SET(PCRE2_BUILD_PCRE2GREP OFF)
-ENDIF(PCRE2_BUILD_PCRE2GREP AND NOT PCRE2_BUILD_PCRE2_8)
-
-IF(PCRE2_SUPPORT_LIBREADLINE AND PCRE2_SUPPORT_LIBEDIT)
-        MESSAGE(FATAL_ERROR "Only one of libreadline or libeditline can be specified")

## pcre2 10.37

=== debian/changelog ===
pcre2 (10.37-0ubuntu2) impish; urgency=medium

  * Rename binary package libpcre2-posix2 -> libpcre2-posix3
  * Update libpcre2-posix3.symbols
  * Reinstate pcre2-config.in.diff as a quilt patch

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 25 Aug 2021 07:09:06 +0000

pcre2 (10.37-0ubuntu1) impish; urgency=medium

  * New upstream release (LP: #1931857)
  * Added debian/source/format to avoid an uupdate warning
  * Add s390x to the list of architectures that are build by default
    with --enable-jit

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 17 Aug 2021 17:37:18 +0200

pcre2 (10.36-2ubuntu5) hirsute; urgency=medium

  * No-change rebuild to build with lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Mar 2021 08:04:25 +0200

pcre2 (10.36-2ubuntu4) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 06:59:07 +0100

pcre2 (10.36-2ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:56 +0100

pcre2 (10.36-2ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:19:55 +0000

pcre2 (10.36-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build with -mshstk on amd64 and i386.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Feb 2021 11:38:43 +0100

pcre2 (10.36-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthew Vernon <matthew@debian.org>  Sun, 13 Dec 2020 16:23:03 +0000

pcre2 (10.36-1) experimental; urgency=medium

  * New upstream version
  * Fix watch file

 -- Matthew Vernon <matthew@debian.org>  Mon, 07 Dec 2020 12:35:19 +0000

pcre2 (10.35-2ubuntu1) hirsute; urgency=medium

  * Build with -mshstk on amd64 and i386.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Dec 2020 16:06:29 +0100

pcre2 (10.35-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthew Vernon <matthew@debian.org>  Fri, 04 Dec 2020 09:52:04 +0000

pcre2 (10.35-1) experimental; urgency=medium

  * New upstream version
  * Bump standards-version to 4.5.1

 -- Matthew Vernon <matthew@debian.org>  Fri, 27 Nov 2020 09:25:08 +0000

pcre2 (10.34-7) unstable; urgency=medium

  * Upstream patch to fix segfault in rspamd (Closes: #946221)

 -- Matthew Vernon <matthew@debian.org>  Sat, 07 Dec 2019 17:06:59 +0000

pcre2 (10.34-6) unstable; urgency=high

  * Replace: and Conflict: the previous libpcre2-posix0 package (which
    erroneously had the soname 2 library in) (Closes: #946279, #946290, #946311)
  * Can now make a source-only upload now libpcre2-posix2 has made it
    through NEW. We need that so we can migrate to testing (Closes: #946275)

 -- Matthew Vernon <matthew@debian.org>  Sat, 07 Dec 2019 14:34:25 +0000

pcre2 (10.34-5) unstable; urgency=medium

  * Sacrifice an integer so I can do a binary upload for the new
    libpcre2-posix package name :-(

 -- Matthew Vernon <matthew@debian.org>  Tue, 03 Dec 2019 21:14:29 +0000

pcre2 (10.34-4) unstable; urgency=high

  * Add symbols files (Closes: #945973)
  * Update libpcre2-posix name to match soname

 -- Matthew Vernon <matthew@debian.org>  Tue, 03 Dec 2019 19:20:54 +0000

pcre2 (10.34-3) unstable; urgency=medium

  * Remove -dbg package from debian/control as well

 -- Matthew Vernon <matthew@debian.org>  Mon, 02 Dec 2019 11:58:33 +0000

pcre2 (10.34-2) unstable; urgency=high

  * Try an upstream patch to fix an ARM bug (apropos 945972)
  * Remove -dbg in favour of -dbgsyms, thanks to Michael Biebl
    <biebl@debian.org> for the patch (Closes: #891624)

 -- Matthew Vernon <matthew@debian.org>  Mon, 02 Dec 2019 11:22:32 +0000

pcre2 (10.34-1) unstable; urgency=medium

  * New upstream release

 -- Matthew Vernon <matthew@debian.org>  Thu, 28 Nov 2019 16:28:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pcre2
 Section: libs
 Priority: optional
-Maintainer:  Matthew Vernon <matthew@debian.org>
-Standards-Version: 4.1.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer:  Matthew Vernon <matthew@debian.org>
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>=9), dpkg-dev (>= 1.16.1~)
 Vcs-Git: https://salsa.debian.org/debian/pcre2.git
 Vcs-Browser: https://salsa.debian.org/debian/pcre2
@@ -61,12 +62,14 @@
  .
  This package contains the 32 bit runtime library.
 
-Package: libpcre2-posix0
+Package: libpcre2-posix3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libpcre2-posix0
+Conflicts: libpcre2-posix0
 Description: New Perl Compatible Regular Expression Library - posix-compatible runtime files
  This is PCRE2, the new implementation of PCRE, a library of functions
  to support regular expressions whose syntax and semantics are as
@@ -81,7 +84,7 @@
 Architecture: any
 Multi-Arch: same
 Conflicts: libpcre3-dev (<<2:8.35-8)
-Depends: libc6-dev, libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix0 (= ${binary:Version}), ${misc:Depends}
+Depends: libc6-dev, libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix3 (= ${binary:Version}), ${misc:Depends}
 Description: New Perl Compatible Regular Expression Library - development files
  This is PCRE2, the new implementation of PCRE, a library of functions
  to support regular expressions whose syntax and semantics are as
@@ -91,21 +94,6 @@
  .
  This package contains the development files, including headers,
  static libraries, and documentation.
-
-Package: libpcre2-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libpcre2-8-0 (= ${binary:Version}), libpcre2-16-0 (= ${binary:Version}), libpcre2-32-0 (= ${binary:Version}), libpcre2-posix0 (= ${binary:Version}), ${misc:Depends}
-Description: New Perl Compatible Regular Expression Library - debug symbols
- This is PCRE2, the new implementation of PCRE, a library of functions
- to support regular expressions whose syntax and semantics are as
- close as possible to those of the Perl 5 language. New projects
- should use this library in preference to the older library,
- confusingly called pcre3 in Debian.
- .
- This package contains the debug symbols.
-
 
 Package: pcre2-utils
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,14 @@
 # prefix names of functions in libpcreposix with PCRE2 to avoid clash with
 # ones in libc.
 export DEB_CFLAGS_MAINT_APPEND = -Dregcomp=PCRE2regcomp -Dregexec=PCRE2regexec -Dregerror=PCRE2regerror -Dregfree=PCRE2regfree
+ifneq ($(filter i386 amd64, $(DEB_HOST_ARCH)),)
+  DEB_CFLAGS_MAINT_APPEND += -mshstk
+endif
 
 
 deb_maint_conf_args = --enable-pcre2-16 --enable-pcre2-32 --disable-pcre2grep-callout
 #enable JIT only on architectures that support it (see pcre2jit.3)
-ifneq ($(filter i386 amd64 armel armhf powerpc sparc arm64 ppc64 ppc64el, $(DEB_HOST_ARCH)),)
+ifneq ($(filter i386 amd64 armel armhf powerpc sparc arm64 ppc64 ppc64el s390x, $(DEB_HOST_ARCH)),)
 deb_maint_conf_args +=--enable-jit
 else
 deb_maint_conf_args +=--disable-jit
@@ -29,4 +32,4 @@
 	dh_makeshlibs -V --add-udeb=libpcre2-8-0-udeb
 
 override_dh_strip:
-	dh_strip --dbg-package=libpcre2-dbg
+	dh_strip --dbgsym-migration='libpcre2-dbg (<< 10.34-2~)'

=== debian/watch ===
version=3
https://ftp.pcre.org/pub/pcre/pcre2-([\d\.]+)\.zip
